body {
	font-family: 'Baloo Tamma 2', Arial, sans-serif;
}

.parent{
	position: relative;
	height: 369px;
	width: 60%;
	margin: 0 auto;
	padding: 20px;
	resize: both;
	overflow: unset;
}
.sh_puzzle{
	/* border: 3px solid #000000; */
	border-radius: 6px;
	transform: translate(-50%, -50%);
	position: absolute!important;
	top: 50%;
	left: 50%;
	overflow: hidden;
}

.sh_puzzle span.numbering {
	position: absolute;
	background-color: #00000000;
	font-size: 36px;
	line-height: 36px;
	padding-top: 8px;
	width: 20px;
	height: 20px;
	text-align: center;
	color: #ffffff;
	right: 0;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
	display: inline-table;
	font-weight: 700;
}

.sh_puzzle>div.anim{
	background-color: #3e73a9;
	border-radius: 3px;
	transition-property: left, top;
	transition-timing-function: ease-out;
	transition-delay: 0s;
}

.sh_puzzle>.anim::before {
	content: "";
	width: inherit;
	height: inherit;
	position: absolute;
	box-sizing: border-box;
	border: #305982 4px solid !important;
	border-radius: 3px;
	transition: border .2s;
}
.sh_puzzle>.anim:hover::before {
	border: #ffce47 1px solid!important;
}
.sh_puzzle>.anim.mixed:hover::before {
	border: #8269ad 1px solid!important;
}
